Subject: bug#64459: 30.0.50; Edebug can't instrument certain syntax-propertize-rules forms

From: Philipp Stephani <[email-masked]>
Date: Tue, 4 Jul 2023 16:06:01 +0200

Am Di., 4. Juli 2023 um 15:42 Uhr schrieb Eli Zaretskii <[email-masked]>:
>
> > From: Philipp Stephani <[email-masked]>
> > Date: Tue, 04 Jul 2023 15:35:01 +0200
> >
> > This fails on master and emacs-29, but not on emacs-28, so it's a
> > regression that I think should be fixed before releasing Emacs 29.
>
> The part about this not being a problem in Emacs 28 is not true: if I
> try this in Emacs 28.2, I see in *Messages*:
>
>   Edebug: foo
>   Eager macro-expansion failure: (void-function edebug-after)

Ah, indeed. So it looks like the actual change between 28 and 29 is
that macroexpansion failures are now hard errors.
The easiest way to fix this is to replace the first `form' in the
edebug spec with `sexp'.